# Log

## Returns the edge request logs

> Returns the edge request logs\
> TotalHits returns the total possible responses, useful for pagination

```json
{"openapi":"3.1.1","info":{"title":"api.cdn.i3d.net","version":"ed6131ed-256"},"servers":[{"url":"https://api.cdn.i3d.net/api/"}],"security":[{"OAuth2Application":[]}],"components":{"securitySchemes":{"OAuth2Application":{"type":"oauth2","flows":{"application":{"tokenUrl":"https://id.i3d.net/connect/token"}}}},"schemas":{"model.EdgeLogReport":{"type":"object","properties":{"logs":{"type":"array","items":{"$ref":"#/components/schemas/model.EdgeLog"}},"totalHits":{"type":"object","properties":{"relation":{"type":"string"},"value":{"type":"integer"}}}}},"model.EdgeLog":{"type":"object","properties":{"_id":{"type":"string"},"_source":{"type":"object","properties":{"@timestamp":{"type":"string"},"clientId":{"type":"string"},"clientasn":{"type":"object","properties":{"asn":{"type":"integer"},"ip":{"type":"string"},"network":{"type":"string"},"organization_name":{"type":"string"}}},"clientgeo":{"type":"object","properties":{"continent_name":{"type":"string"},"country_iso_code":{"type":"string"},"country_name":{"type":"string"}}},"count":{"type":"integer"},"host":{"type":"object","properties":{"geo":{"type":"object","properties":{"name":{"type":"string"},"region_name":{"type":"string"}}},"hostname":{"type":"string"}}},"source":{"type":"object","properties":{"geo":{"type":"object","properties":{"city_name":{"type":"string"},"continent_name":{"type":"string"},"country_iso_code":{"type":"string"},"location":{"type":"object","properties":{"lat":{"type":"number"},"lon":{"type":"number"}}},"region_iso_code":{"type":"string"},"region_name":{"type":"string"}}}}},"subtype":{"type":"string"},"tags":{"type":"array","items":{"type":"string"}},"tx":{"type":"object","properties":{"Begin":{"type":"string"},"Brotli":{"type":"string"},"DurationMs":{"type":"number"},"Gzip":{"type":"string"},"Hash":{"type":"string"},"Hit":{"type":"object","properties":{"GracePeriod":{"type":"integer"},"KeepPeriod":{"type":"integer"},"ObjVxid":{"type":"integer"},"RemainingTTL":{"type":"number"}}},"HitRaw":{"type":"string"},"Link":{"type":"string"},"ReqAcct":{"type":"object","properties":{"BodyRecv":{"type":"integer"},"BodyTx":{"type":"integer"},"HeaderRecv":{"type":"integer"},"HeaderTx":{"type":"integer"},"TotalRecv":{"type":"integer"},"TotalTx":{"type":"integer"}}},"ReqHeader":{"type":"object","properties":{"X-Forwarded-For":{"type":"string"},"ext":{"type":"string"},"i3d-origin":{"type":"string"},"imgproxy":{"type":"string"},"ipv":{"type":"string"}}},"ReqMethod":{"type":"string"},"ReqProtocol":{"type":"string"},"ReqStart":{"type":"string"},"ReqURL":{"type":"string"},"ReqUnset":{"type":"string"},"RespProtocol":{"type":"string"},"RespReason":{"type":"string"},"RespStatus":{"type":"string"},"RespUnset":{"type":"string"},"Storage":{"type":"string"},"Timestamp":{"type":"object","properties":{"Fetch":{"type":"string"},"Process":{"type":"string"},"Req":{"type":"string"},"ReqBody":{"type":"string"},"Resp":{"type":"string"},"Start":{"type":"string"}}},"VCL_acl":{"type":"string"},"VCL_call":{"type":"string"},"VCL_return":{"type":"string"},"firstByteMs":{"type":"number"}}},"type":{"type":"string"},"vxid":{"type":"integer"}}}}},"model.HTTPError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"paths":{"/service/{serviceId}/log/edge":{"get":{"description":"Returns the edge request logs\nTotalHits returns the total possible responses, useful for pagination","tags":["log"],"summary":"Returns the edge request logs","parameters":[{"type":"string","description":"serviceId","name":"serviceId","in":"path","required":true},{"type":"integer","description":"Limit (max 1000, default 10)","name":"limit","in":"query"},{"type":"integer","description":"From, used for pagination (default 0)","name":"from","in":"query"},{"type":"integer","description":"start time range,  unix timestamp, default 24 hours ago","name":"startTimestamp","in":"query"},{"type":"integer","description":"end time range, unix timestamp, default now","name":"endTimestamp","in":"query"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.EdgeLogReport"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/cdn/log-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
